Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLImageElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLImageElementImpl

public class HTMLImageElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLImageElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:57 $
Author:
  Assaf Arkin
See Also:
  `HTMLImageElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`HTMLImageElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`java.lang.String` | `getBorder()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getHspace()`
`boolean` | `getIsMap()`
`java.lang.String` | `getLongDesc()`
`java.lang.String` | `getLowSrc()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getUseMap()`
`java.lang.String` | `getVspace()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setBorder(java.lang.String border)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setLowSrc(java.lang.String lowSrc)`
`void` | `setName(java.lang.String name)`
`void` | `setSrc(java.lang.String src)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLImageElementImpl

    public HTMLImageElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getLowSrc

    public java.lang.String getLowSrc()

  Specified by:
    getLowSrc in interface org.w3c.dom.html.HTMLImageElement

### setLowSrc

    public void setLowSrc(java.lang.String lowSrc)

  Specified by:
    setLowSrc in interface org.w3c.dom.html.HTMLImageElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLImageElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLImageElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLImageElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLImageElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLImageElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLImageElement

### getAlt

    public java.lang.String getAlt()

  Specified by:
    getAlt in interface org.w3c.dom.html.HTMLImageElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface org.w3c.dom.html.HTMLImageElement

### getBorder

    public java.lang.String getBorder()

  Specified by:
    getBorder in interface org.w3c.dom.html.HTMLImageElement

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    setBorder in interface org.w3c.dom.html.HTMLImageElement

### getHeight

    public java.lang.String getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.html.HTMLImageElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface org.w3c.dom.html.HTMLImageElement

### getHspace

    public java.lang.String getHspace()

  Specified by:
    getHspace in interface org.w3c.dom.html.HTMLImageElement

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    setHspace in interface org.w3c.dom.html.HTMLImageElement

### getIsMap

    public boolean getIsMap()

  Specified by:
    getIsMap in interface org.w3c.dom.html.HTMLImageElement

### setIsMap

    public void setIsMap(boolean isMap)

  Specified by:
    setIsMap in interface org.w3c.dom.html.HTMLImageElement

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    getLongDesc in interface org.w3c.dom.html.HTMLImageElement

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    setLongDesc in interface org.w3c.dom.html.HTMLImageElement

### getUseMap

    public java.lang.String getUseMap()

  Specified by:
    getUseMap in interface org.w3c.dom.html.HTMLImageElement

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    setUseMap in interface org.w3c.dom.html.HTMLImageElement

### getVspace

    public java.lang.String getVspace()

  Specified by:
    getVspace in interface org.w3c.dom.html.HTMLImageElement

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    setVspace in interface org.w3c.dom.html.HTMLImageElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLImageElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLImageElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference